Subject: Re: bug#21012: 25.0.50; eww: last char of a line sometimes not fully visible

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jul 2015 17:43:47 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 09 Jul 2015 13:01:58 +0200
> 
> > > Note that in the shr-use-fonts -> t case, COLUMN is in pixels.
> > > 
> > >   (/ column (frame-char-width))
> > > 
> > > is IMO an estimated value of "real" columns to advance.
> >
> > No, it's the value in pixels expressed in frame's canonical character
> > width.
> 
> That doesn't sound right to me.  COLUMN is in pixels, (frame-char-width)
> is in pixels, too.  The quotient can't be in pixels.  Its unit is just a
> number (of characters).

Sorry, my wording must have been confusing.  What I meant is that the
above converts pixel coordinates into units of the frame's canonical
characters.  The important part is that this value doesn't change
depending on the characters actually displayed, and in particular
their width.